EDIT - feature request #8978

Implement measurement values as BigDecimal
04/25/2020 08:21 PM - Andreas Mller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 5.15

Severity: normal

Description

for details on how to do different scaling see also #4499#note-1

Related issues:

Related to EDIT - feature request #4499: Implement fields for typical Statist... New
Related to EDIT - feature request #9038: Adapt TaxEditor to use BigDecimal fo... Closed
Related to EDIT - task #9123: Fix BigDecimal algebra in aggregation algorithms Closed
Related to EDIT - feature request #9080: Use detailElement of quantitative da... New
Precedes (30 days) EDIT - task #9062: Remove StatisticalMeasurementValue.valu... Closed
Copied to EDIT - task #9810: Test if BigDecimal algebra is correct in Polytom... New

Associated revisions

Revision e61edee4 - 05/05/2020 12:41 AM - Andreas Muller

ref #8978 adapt app-import to StatisticalMeasurementValue.value as BigDecimal

Revision 258ee218 - 05/27/2020 11:22 AM - Andreas Miiller

fix #8978 implement BigDecimal for StatisticalMeasurementValue

Revision 83375c02 - 05/27/2020 11:22 AM - Andreas Miiller

fix #8978 implement BigDecimal for StatisticalMeasurementValue test schemas

Revision 63ef266f - 05/27/2020 11:22 AM - Andreas Miiller

fix #8978 implement BigDecimal for StatisticalMeasurementValue - DwcaExportTest

Revision 0e662ec9 - 05/27/2020 11:22 AM - Andreas Miiller

fix #8978 remove NewFloat2BigDecimallnstance from ColumnTypeChanger

Revision 44f43fdb - 05/27/2020 11:22 AM - Andreas Miuller

ref #8978 add integer factory method to StatisticalMeasurementValue

Revision bf20bbfd - 05/27/2020 04:35 PM - Katja Luther

adapt editor to value of statisticalMeasurementValue as BigDecimal

Revision af51bfe5 - 06/12/2020 08:05 PM - Andreas Miiller
ref #8978 add BigDecimalUserType to handled Usertypes in CdmGenericDaolmpl

Revision 6ab98a2c - 08/31/2020 12:12 PM - Andreas Miiller

ref #8978 adapt StructuredDescriptionAggregationTest to BigDecimal (remaining issues)

History

#1 - 04/25/2020 08:22 PM - Andreas Miiller

- Related to feature request #4499: Implement fields for typical StatisticalMeasurementValues added

#3 - 04/29/2020 02:31 PM - Andreas Miiller
https://dev.e-taxonomy.eu/redmine/issues/4499#note-1

- Status changed from New to Resolved

- % Done changed from 0 to 50

#4 - 05/27/2020 04:45 PM - Katja Luther

The adaption for the editor are done as well, please have a look.

#5 - 05/27/2020 11:04 PM - Andreas Miuller

Update script works.

Still needs active testing with aggregation algorithm and polytomous key generator if algebraic operations also work.

Also editing in TaxEditor needs to be tested.

#6 - 06/10/2020 04:46 PM - Andreas Miiller

- Precedes task #9062: Remove StatisticalMeasurementValue.value_old added

#7 - 06/12/2020 05:30 PM - Andreas Miuller

- Related to feature request #9038: Adapt TaxEditor to use BigDecimal for StatisticalMeasurementValues added

#8 - 07/04/2020 02:52 PM - Andreas Miiller
- Related to task #9123: Fix BigDecimal algebra in aggregation algorithms added

#9 - 07/04/2020 02:54 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 50 to 100

moved algorithm testing to new ticekt: #9123

Open TaxEditor ticket for matrix editing moved to: #9080

#10 - 07/04/2020 02:54 PM - Andreas Miiller

- Related to feature request #9080: Use detailElement of quantitative data in dialog of character matrix added

#11 - 10/12/2021 05:36 PM - Andreas Miiller
- Copied to task #9810: Test if BigDecimal algebra is correct in PolytomousKey algorithms added
